CVE-2011-1098

NameCVE-2011-1098
DescriptionRace condition in the createOutputFile function in logrotate.c in logrotate 3.7.9 and earlier allows local users to read log data by opening a file before the intended permissions are in place.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
logrotate (PTS)buster3.14.0-4fixed
bullseye3.18.0-2+deb11u2fixed
bookworm3.21.0-1fixed
trixie, sid3.21.0-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
logrotatesource(unstable)3.8.0-1low

Notes

[squeeze] - logrotate <no-dsa> (Minor issue)

Search for package or bug name: Reporting problems